lens-5.2.3: Lenses, Folds and Traversals

Copyright | (C) 2012-16 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Control.Lens.Extras

Description

A few extra names that didn't make it into Control.Lens.

Synopsis

- is :: APrism s t a b -> s -> Bool
- module Data.Data.Lens

# Documentation

is :: APrism s t a b -> s -> Bool #

Check to see if this `Prism` matches.

    >>> is _Left (Right 12)
    False

    >>> is hex "3f79"
    True

module Data.Data.Lens